APPHBD(8)

NAME
apphbd - Application Heartbeat Monitor for High-Availability Linux

SYNOPSIS
apphbd [ -srkdh ] [ -c configure file ]

DESCRIPTION
apphbd is a basic application heartbeat monitor daemon for Linux-HA. A group of Application Heartbeat APIs are defined for this heartbeat monitoring service. Applications may register with the daemon in order to be monitored. If an application fails to send a heartbeat within the specified interval, the daemon will log an event.

apphbd may use watchdog timer to monitor itself.

apphbd extends its functionality by using plugins. Currently a plugin recmgr is implemented to notify Recovery Manager daemon if some events (specified in apphb_notify.h) happen (e.g. an application fails to heartbeat).

The Recovery Manager daemon recoverymgrd receives notification from recmgr plugin, then it tries to execute recovery scripts as configured. See recoverymgrd default configure file recoverymgrd.conf for detail.

recoverymgrd registers itself with apphbd as a client application. apphbd should be started first with plugin recmgr loaded. Then configure and start recoverymgrd.

For details relating to the Application Heartbeat API, see apphb.h .

OPTIONS

-s  Show the status of apphbd, running or stopped.

-k  Stop (kill) the daemon

-r  Restart the daemon. apphbd will reload configure file when restarted.

-d  Set debug level

-h  Show help message

-c configure file
    Configure file for apphbd. Default configure file is ./apphbd.cf. User can configure debug setting, log file, watchdog setting, plugins and real time setting. For details, see sample configure file apphbd.cf.

FILES
/var/run/apphbd.pid Default PID file.

apphbd.cf Default configure file for apphbd. apphbd searches the file in its working directory. This sample configure file is installed together with other Heartbeat documents.

apphb.h Header for Application Heartbeat API.

recoverymgrd.conf Default configure file for recoverymgrd. recoverymgrd searches the file in its working directory. Other configure file can also be specified in the command line. This sample configure file is installed together with other Heartbeat documents.

/usr/lib/heartbeat/plugins/AppHBNotification Directory contains plugins for apphbd.

SEE ALSO
heartbeat(8)

DOCUMENTATION
More information may be found at http://www.linux-ha.org.

AUTHORS
apphbd - Alan Robertson <alanr@unix.sh> et al.
recoverymgrd - Andrea Brugger <andrea.l.brugger@intel.com> et al.
man page - Andrea Brugger <andrea.l.brugger@intel.com>
         - Adam Li <adam.li@intel.com>